# Header-only library
%global debug_package %{nil}

%global common_description %{expand:
immer is a library of persistent and immutable data structures written in C++.
These enable whole new kinds of architectures for interactive and concurrent
programs of striking simplicity, correctness, and performance.}

Name:           immer
Version:        0.8.1
Release:        %autorelease
Summary:        Postmodern immutable and persistent data structures for C++

License:        Boost
URL:            https://sinusoid.es/immer/
VCS:            https://github.com/arximboldi/immer
Source:         %vcs/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  boost-devel
BuildRequires:  ccache
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(catch2)

%description    %{common_description}

%package        devel
Summary:        Postmodern immutable and persistent data structures for C++
Provides:       immer-static%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description    devel %{common_description}

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%{cmake}
%{cmake_build}

%install
%{cmake_install}

%files devel
%license LICENSE
%doc README.rst
%{_libdir}/cmake/Immer/
%{_includedir}/immer/

%changelog
%autochangelog
